﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Problems.GrammaticalOptimization {
  public static class Extensions {
    public static bool IsAlmost(this double x, double y) {
      return Math.Abs(x - y) < 1.0e-6;
    }

    public static T SelectRandom<T>(this IEnumerable<T> xs, Random rand) {
      var xsArr = xs.ToArray();
      return xsArr[rand.Next(xsArr.Length)];
    }
  }
}
